Bug 73392 - Missing dependencies for cpanflute2. Bugs in cpanflute
Missing dependencies for cpanflute2. Bugs in cpanflute
Product: Red Hat Linux
Classification: Retired
Component: rpm-build (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2002-09-03 19:23 EDT by ingvar
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-09-03 19:23:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description ingvar 2002-09-03 19:23:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i586; U;) Gecko/20020408

Description of problem:
- cpanflute2 needs Archive::Tar, but rpm-build does not depend on perl-Archive-Tar

- cpanflute2 needs Compress::Zlib, which is not availble in RedHat Linux 7.3
(valhalla) (but is of course installable with cpanflute)

- cpanflute2 does not run with LANG set to a local like mine (no_NO). The script
should set LANG locally to 'C', or behave.

- cpanflute (_not_ cpanflute2) does not work with default options because it
lacks a standard working directory in /tmp. A workaround is to run the following
commands prior to running cpanflute for the first time:

mkdir -p /tmp/cpan/temp
ln -s /tmp/cpan /tmp/cpan/junk

Version-Release number of selected component (if applicable): 4.0.4-7x.18

How reproducible:

Steps to Reproduce:
1. As described above

Additional info:
Comment 1 Jeff Johnson 2002-10-26 11:15:16 EDT
Yup, all bugs, and part of the rationale for removing
cpanflute and cpanflute2 and rpm-perl from rpm.

You might try using the Perl-RPM2. From all reports
I've seen, Perl-RPM2 does a better job than cpanflute,
and is actively being maintained.
Comment 2 ingvar 2002-12-16 18:30:30 EST
Still on that cpanflute-thing. I looked at RedHat 8.0. Cpanflute is (obviously
from your earlier comments) supplied, and you say perl-RPM2 should be able to
replace it.

I'm no real perl programmer, but looking at the source, I really have no idea on
how to use the perl-RPM2 module for creating rpms from cpan tarballs. Is it
really possible? If it is, one should really have a wrapper script. Could you
provide some simple pseudo-code or links or anything?

Regards, and wishing a merry Christmas,
Ingvar Hagelund

$ cat /etc/redhat-release 
Red Hat Linux release 8.0 (Psyche)

$ rpm -ql perl-RPM2

$ grep sub /usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/RPM2.pm 
sub rpmvercmp {
sub add_macro {
sub delete_macro {
sub open_rpm_db {
sub open_package {
sub close_rpm_db {
sub find_all_iter {
sub find_all {
sub find_by_name_iter {
sub find_by_name {
sub find_by_provides_iter {
sub find_by_provides {
sub find_by_requires_iter {
sub find_by_requires {
sub find_by_file_iter {
sub find_by_file {
sub iterator {
sub _new_raw {
sub tag {
sub compare {
sub op_bool {
sub op_spaceship {
sub is_source_package {
sub as_nvre {
  my $sub = q {
    sub [[method]] {
  $sub =~ s/\[\[method\]\]/$method/g;
  $sub =~ s/\[\[tag\]\]/$tag/g;
  eval $sub;
sub files {
sub new_iterator {
sub next {
sub expand_iter {
Comment 3 Steven Roberts 2005-09-27 03:36:32 EDT
do you have a pointer to "Perl-RPM2"?  searching cpan I find the RPm2 module,
but that is for manipulating various rpm items, not for turning a CPAN tarball
into a SRPM.

Note You need to log in before you can comment on or make changes to this bug.